Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 3258)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionLink.java	(revision 3259)
@@ -1,5 +1,6 @@
 package org.txm.edition.rcp.editors;
 
+import java.util.Arrays;
 import java.util.HashMap;
 
 import org.eclipse.swt.browser.Browser;
@@ -9,6 +10,7 @@
 import org.txm.edition.rcp.messages.EditionUIMessages;
 import org.txm.rcp.editors.CommandLink;
 import org.txm.rcp.editors.TXMEditor;
+import org.txm.utils.logger.Log;
 
 /**
  * Browser Javascript method to open a TXM edition given 1 to 4 parameters : corpusid, editionid, textid, wordid
@@ -32,6 +34,9 @@
 	
 	@Override
 	public Object function(Object[] arguments) { // corpus id, edition id, text id, word id
+		
+		Log.finer("txmedition() called: "+Arrays.toString(arguments));
+		
 		HashMap<String, String> params = new HashMap<>();
 		
 		String id = BackToText.class.getName();
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3258)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3259)
@@ -47,7 +47,7 @@
 import org.txm.utils.logger.Log;
 
 public class EditionPanel extends BrowserViewer implements ISelectionProvider {
-		
+	
 	private ProgressListener progressListener;
 	
 	// private List<String> wordids;
@@ -121,7 +121,7 @@
 			// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
 			// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 			"} catch (e) { };"; //$NON-NLS-1$
-			
+	
 	public static final String highlightscriptRuleFast = "sheet.insertRule(\"#%s {background-color:rgba(%s,%s,%s,%s);}\", 0);"; //$NON-NLS-1$
 	
 	public static final String colorscriptRuleFast = "sheet.insertRule(\"#%s {color:rgba(%s,%s,%s,%s);}\", 0);"; //$NON-NLS-1$
@@ -281,8 +281,8 @@
 		super(parent, style);
 		this.synopticEditionEditor = synopticEditionEditor;
 		this.editionName = editionName;
-//		this.currentEdition = edition;
-//		this.currentText = currentEdition.getText();
+		//		this.currentEdition = edition;
+		//		this.currentText = currentEdition.getText();
 		
 		File functionsFile = null;
 		try {
@@ -302,12 +302,17 @@
 		
 		progressListener = new ProgressListener() {
 			
+			private CommandLink cmdLink;
+			private EditionLink editionLink;
+
 			@Override
 			public void changed(ProgressEvent event) {}
 			
 			@Override
 			public void completed(ProgressEvent event) {
 				
+					cmdLink = new CommandLink(synopticEditionEditor, getBrowser());
+					editionLink = new EditionLink(synopticEditionEditor, getBrowser());
 				Log.finest("EditionPanel " + currentEdition.getName() + " reload " + getCurrentPage().getName());
 				Object rez = evaluate("return typeof sheet;"); //$NON-NLS-1$
 				if ("undefined".equals(rez)) { //$NON-NLS-1$
@@ -395,10 +400,10 @@
 						// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 						s = "try { document.getElementById(\"" + wordid + "\").style.backgroundColor=\"rgba(" + composite.r + "," + composite.g + "," + composite.b + "," + composite.a + ")\";" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 								+
-						// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-						// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 								"} catch (e) { };"; //$NON-NLS-1$
 					}
 					else {
@@ -478,10 +483,10 @@
 						// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 						s = "try { document.getElementById(\"" + wordid + "\").style.fontWeight=\"" + fontWeightPerWordIDS.get(wordid) + "\";" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 								+
-						// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
-						// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
-						// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingLeft=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingRight=\"3px\";" + //$NON-NLS-1$
+								// "elt.style.paddingTop=\"1px\";" + //$NON-NLS-1$
+								// "elt.style.paddingBottom=\"1px\";" + //$NON-NLS-1$
 								"} catch (e) { };"; //$NON-NLS-1$
 						// s = String.format(highlightscriptRule, wordid, composite.r, composite.g, composite.b, composite.a);
 						// s = "try { var elt = document.getElementById(\"" + wordid + "\");" + //$NON-NLS-1$ //$NON-NLS-2$
@@ -627,8 +632,6 @@
 		getBrowser().addKeyListener(kListener);
 		
 		getBrowser().addProgressListener(progressListener);
-		new CommandLink(synopticEditionEditor, getBrowser());
-		new EditionLink(synopticEditionEditor, getBrowser());
 	}
 	
 	/**
@@ -1140,7 +1143,7 @@
 				+ "\n}" //$NON-NLS-1$
 				// +"alert('result='+all)"
 				+ "\nreturn all;"; //$NON-NLS-1$
-				
+		
 		// System.out.println(functions);
 		// System.out.println(SCRIPT02_getspans);
 		
@@ -1436,7 +1439,7 @@
 				+ "sel.addRange(range);\n" //$NON-NLS-1$
 				+ "\n" //$NON-NLS-1$
 				+ "return null;"; //$NON-NLS-1$
-				
+		
 		// System.out.println("Eval...\n"+SCRIPT02_expand);
 		evaluate(SCRIPT02_expand);
 		return;
